.\" SCCS 03/04/98 @(#)path.rpart.d	1.2
.BG
.FN path.rpart
.TL
Follow Paths to Selected Nodes of an Rpart Object
.DN
Returns a names list where each element contains the splits on the
path from the root to the selected nodes.
.CS
path.rpart(tree, nodes, pretty=0, print.it=T)
.RA
.AG tree
fitted model object of class `rpart'.  This is assumed to be the
result of some function that produces an object with the same named
components as that returned by the `rpart' function.
.OA
.AG nodes
an integer vector containing indices (node numbers) of all nodes for
which paths are desired.  If missing, user selects nodes as described
below. 
.AG pretty
an integer denoting the extent to which factor levels in split labels
will be abbreviated.  A value of (0) signifies no abbreviation.  A
`NULL', the default, signifies using elements of letters to represent
the different factor levels.
.AG print.it
Logical. Denotes whether paths will be printed out as
nodes are interactively selected.   Irrelevant if `nodes'
argument is supplied.
.RT
A named (by node) list, each element of which contains all
the  splits  on the path from the root to the specified or
selected nodes.
.SH GRAPHICAL INTERACTION
A dendrogram of the `rpart' object is expected to be visible 
on the graphics  device, and a graphics input device (eg a mouse)
is required.  Clicking (the selection button)  on  a  node
selects  that  node.   This  process  may  be repeated any
number of times.  Clicking the exit button will  stop  the
selection process and return the list of paths.
.DT
The function has a required argument as an `rpart' object  and
a list of nodes as optional arguments.  Omitting a list of
nodes will cause the function to  wait  for  the  user  to
select  nodes  from the dendogram.  It will return a list,
with one component for each node  specified  or  selected.
The  component  contains the sequence of splits leading to
that node.  In the graphical  interation,  the  individual
paths are printed out as nodes are selected.
.SH REFERENCES
This function was modified from `path.tree'. 
.SA
`rpart', `path.tree'
.WR



