
.\" SCCS 03/03/98 @(#)post.rpart.d	1.11
.BG
.FN post.rpart
.TL
PostScript Presentation Plot of an Rpart Object
.DN
Generates a PostScript presentation plot of an `rpart' object.
.CS
post.rpart(tree, title, 
           filename=paste(deparse(substitute(tree)), ".ps", sep = ""), 
           digits= .Options$digits -3, pretty=T,
	   use.n=T, horizontal=T, ...)
.RA
.AG tree
fitted model object of class `rpart'.  This is assumed to be the result
of some function that produces an object with the same named
components as that returned by the `rpart' function.
.OA
.AG title
a title which appears at the top of the plot.  By default, the
name of the `rpart' endpoint is printed out.
.AG filename
ASCII file to contain the output.  By default, the name of the file is
the name of the object given by `rpart' (with the suffix `.ps' added). If
`filename = ""', the plot appears on the current graphical device.
.AG digits
number of significant digits to include in numerical data.
.AG pretty
an integer denoting the extent to which factor levels will be
abbreviated in the character strings defining the splits;
(0) signifies no abbreviation of levels.  A `NULL' signifies using
elements of letters to represent the different factor levels.  The
default (`T') indicates the maximum possible abbreviation.
.AG use.n
Logical.  If `TRUE' (default), adds to label 
(#events level1/ #events level2/etc. for method `class', `n' for 
method `anova', and # events/n for methods `poisson' and `exp').
.AG horizontal
Logical.  If `TRUE' (default), plot is horizontal. If `FALSE', plot
appears as landscape.
.AG ...
other arguments to the `postscript' function.
.SE
a plot of `rpart' is created using the `postscript' driver.
.DT
The plot created uses the functions `plot.rpart' and `text.rpart' (with
the `fancy' option).  The settings were chosen because they looked
good to us, but other options may be better, depending on the `rpart'
object.  
Users are encouraged to write their own function containing favorite
options.
.SA
`plot.rpart', `rpart', `text.rpart', `abbreviate'
.EX
> z.auto <- rpart(Mileage ~ Weight, car.test.frame)
> post(z.auto, file="")   # display tree on active device
>    # now construct postscript version on file "pretty"
>    # with no title
> post(z.auto, file="pretty", title=" ")
> z.hp <- rpart(Mileage ~ Weight + HP, car.test.frame)
> post(z.hp)
> !ls
z.hp.ps         pretty
.KW rpart
.WR
