.\" SCCS 03/03/98 @(#)text.rpart.d	1.8
.BG
.FN text.rpart
.TL
Place Text on a Dendrogram
.DN
Labels the current plot of the tree dendrogram with text.
.CS
text.rpart(x, splits=T, label="yval", FUN=text, all=F, pretty=NULL, 
digits=.Options$digits - 3, use.n=F, fancy=F, fwidth=0.8, fheight=0.8, ...)
.RA
.AG x
fitted model object of class `rpart'.  This is assumed to be the result
of some function that produces an object with the same named
components as that returned by the `rpart' function.
.OA
.AG splits
logical flag.  If `TRUE' (default), then the splits in the tree are
labeled with the criterion for the split.
.AG label
a column name of `x$frame';  values of this will label the nodes.
.AG FUN
the name of a labeling function, e.g. `text'.  
.AG all
Logical.  If `TRUE', all nodes are labeled, otherwise just terminal nodes.
.AG pretty
an integer denoting the extent to which factor levels in split labels
will be abbreviated.  A value of (0) signifies no abbreviation.  A
`NULL', the default, signifies using elements of letters to represent
the different factor levels.
.AG digits
number of significant digits to include in numerical labels.
.AG use.n
Logical.  If `TRUE' (default), adds to label 
(#events level1/ #events level2/etc. for `class', `n' for `anova', and
# events/n for `poisson' and `exp').
.AG fancy
Logical.  If `TRUE', nodes are represented by ellipses (interior nodes)
and rectangles (leaves) and labeled by `yval'.  The edges connecting the
nodes are labeled by left and right splits.
.AG fwidth
Relates to option fancy and the width of the ellipses and rectangles.
If `fwidth < 1' then it is a scaling factor (default = .8).  If 
`fwidth > 1' then it representes the number of character widths 
(for current graphical device) to use.
.AG fheight
Relates to option fancy and the height of the ellipses and rectangles.
If `fheight <1' then it is a scaling factor (default = .8).  If
`fheight > 1' then it represents the number of character heights 
(for current graphical device) to use.
.AG ...
Graphical parameters may also be supplied as arguments to this
function (see `par').
.SE
the current plot of a tree dendrogram is labeled.
.SA
`text', `plot.rpart', `rpart', `text.tree', `post.rpart', `abbreviate' 
.EX
> freen.tr <- rpart(freeny.y ~ freeny.x)
> plot(freen.tr)
> text(treen.tr, use.n=T, all=T)

.KW rpart
.WR
